Subject: Re: Bitkeeper changeset numbering glitch in 2_4_devel tree

From: Larry McVoy <[email-masked]>
Date: Sun, 28 Jul 2002 07:40:09 -0700

> What today shows up as changeset 1.1155 may in future become something like
> 1.1088.1.30. I'm sure that Bitkeeper uses other way of identification
> internally but it's not user accessible.

The internal names are called keys or inodes and you get at them with

	bk prs -hr<whatever> -nd:KEY: <filename>

In general, anywhere you can use a revision, you may use a key instead.
Nt in BK/web yet though.
--
---
Larry McVoy            	 lm at bitmover.com           http://www.bitmover.com/lm

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/